ProfileInfo.MeasurementUnits.Convert

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class ProfileInfo.MeasurementUnits.Convert

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.ProfileInfo.MeasurementUnits.Convert

Enclosing class:
  ProfileInfo.MeasurementUnits

    public static final class ProfileInfo.MeasurementUnits.Convert

extends java.lang.Object

Field Summary
`static float` | `CM_TO_INCH` Centimenter (cm) to Inch (in)
`static float` | `FAHRENHEIT_FACTOR` Factor for Celsius to Fahrenheit conversion.
`static float` | `FAHRENHEIT_OFFSET` Offset for Celsius to Fahrenheit conversion.
`static float` | `KM_TO_MI` Kilometers (km) to Miles (mi)
`static float` | `KPA_TO_PSI` Kilopascal (kPa) to PSI
`static float` | `LITERS_TO_GALONS` Liters (l) to Gallons (gal)
`static float` | `M_TO_INCH` Meter (m) to Inch (in)
`static float` | `MI_TO_KM` Miles (mi) to Kilometers (km)
`static float` | `MM_TO_INCH` Millimeter (mm) to Inch (in)
`static float` | `N_TO_LBS` Newton (N) to pound force (LBS)
`static float` | `ZERO_KELVIN` Zero degrees Kelvin in Celsius

Method Summary
`static float` | `celsius2Fahrehheit(float celsius)` Converts a value in "degrees Celsius" to "degrees Fahreheit".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZERO_KELVIN

    public static final float ZERO_KELVIN

  Zero degrees Kelvin in Celsius

  See Also:
    Constant Field Values

### FAHRENHEIT_OFFSET

    public static final float FAHRENHEIT_OFFSET

  Offset for Celsius to Fahrenheit conversion. You will also need to factor it by `FAHRENHEIT_FACTOR`. Better use `celsius2Fahrehheit(float)`.

  See Also:
    Constant Field Values

### FAHRENHEIT_FACTOR

    public static final float FAHRENHEIT_FACTOR

  Factor for Celsius to Fahrenheit conversion. You will also need to offset it by `FAHRENHEIT_OFFSET`. Better use `celsius2Fahrehheit(float)`.

  See Also:
    Constant Field Values

### LITERS_TO_GALONS

    public static final float LITERS_TO_GALONS

  Liters (l) to Gallons (gal)

  See Also:
    Constant Field Values

### KPA_TO_PSI

    public static final float KPA_TO_PSI

  Kilopascal (kPa) to PSI

  See Also:
    Constant Field Values

### KM_TO_MI

    public static final float KM_TO_MI

  Kilometers (km) to Miles (mi)

  See Also:
    Constant Field Values

### MI_TO_KM

    public static final float MI_TO_KM

  Miles (mi) to Kilometers (km)

  See Also:
    Constant Field Values

### CM_TO_INCH

    public static final float CM_TO_INCH

  Centimenter (cm) to Inch (in)

  See Also:
    Constant Field Values

### MM_TO_INCH

    public static final float MM_TO_INCH

  Millimeter (mm) to Inch (in)

  See Also:
    Constant Field Values

### M_TO_INCH

    public static final float M_TO_INCH

  Meter (m) to Inch (in)

  See Also:
    Constant Field Values

### N_TO_LBS

    public static final float N_TO_LBS

  Newton (N) to pound force (LBS)

  See Also:
    Constant Field Values

Method Detail

### celsius2Fahrehheit

    public static final float celsius2Fahrehheit(float celsius)

  Converts a value in "degrees Celsius" to "degrees Fahreheit".
  Math: fahrenheit = `FAHRENHEIT_OFFSET` + celsius * `FAHRENHEIT_FACTOR`

  Parameters:
    `celsius` - the value in Celsius.
  Returns:
    the value in Fahrenheit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD